
#include <stdio.h>
#include <stdlib.h>
#include <iostream>

#define MYR_INTERFACE_
#include "myR.h"

using namespace std;

#define LOOP

#ifdef LOOP

int main()
{
    char* texto;
    SEXP exp;
    myError error;
    myR myr;

    while(1)
    {
        printf("\n>");
        scanf ("%s", texto);

        error = myr.Execute(texto, exp);

        switch(error)
        {
            case myOK:
                if(exp) myr.printSEXP(exp);
                break;
            case myERROR_PARSING:
                printf("parsing error\n");
                break;
            case myERROR_EVALUATING:
                printf("evaluating error\n");
                break;
        }
    }

  return 0;
}

#else

extern "C"
{

int main()
{
    char* texto;
    SEXP exp;
    myError error;
    myR myr;
    int* xp;
    int len;

/*
    error = myr.Execute("x<-1:20", exp);
    xp = myr.SexpToIntp (exp, len);
    xp[2] = 200;

    error = myr.Execute("x", exp);
    myr.printSEXP(exp);
*/
    SEXP val=NEW_INTEGER(10);

    for(int i = 0; i != 10; i++)
      INTEGER(val)[i]= i;

    myr.DeclareVar("k", val);

    error = myr.Execute("k", exp);
    myr.printSEXP(exp);

    return 0;
}

}

#endif
