
#include <stdio.h>
#include <stdlib.h>
#include <iostream>

#define USE_MULTIPLE_INSTANCES
#define MYR_INTERFACE_
#include "myR.h"

using namespace std;

int main()
{
    SEXP resp;
    myR R;

    char* textos[] = {
        "x <- 1:20",
        "y <- 3 + 2*x + rnorm(20, sd = 2)",                                          
        "xyreg <- lm(y~x)",
        "anova(xyreg)"
    };
                     
    for(int i = 0; i != 4; i++)
        R.Execute(textos[i], resp);
    
    R.printSEXP(resp);  
    
    R.Execute("plot(x,y)", resp);    
    getchar();    
    
    return 0;
}
  
