 
#include <stdio.h>
#include <stdlib.h>
#include <iostream>

#define MYR_INTERFACE_
#include "myR.h"

using namespace std;

int main()
{
    SEXP resp;
    myR R;

    char* textos[] = {
        "require(splancs)",
        "data(bodmin)",
        "plot(bodmin$poly, asp=1, type=\"n\")",
        "image(kernel2d(as.points(bodmin), bodmin$poly, h0=2, nx=100, ny=100), add=TRUE, "
            "col=terrain.colors(20))",
        "pointmap(as.points(bodmin), add=TRUE)",
        "polymap(bodmin$poly, add=TRUE)",
        "kernel2d(as.points(bodmin), bodmin$poly, h0=2, nx=100, ny=100)"
    };
                                          
    for(int i = 0; i != 7; i++)
        R.Execute(textos[i], resp);
    
    cout << "resultado:==================================" << endl;
    R.printSEXP(resp);
        
    getchar();
}
