/* Sample of using myR
 *
 * (C) 2004 Pedro Ribeiro de Andrade Neto
 * pedrorib@yahoo.com
 */

#include <stdio.h>
#include <stdlib.h>
#include <iostream>

#include "myR.h"

using namespace std;
//using namespace myRnamespace;

int main()
{
    SEXP resp;
    myR R;

    char* textos[] = {
        "require(splancs)",
        "data(bodmin)",
        "plot(bodmin$poly, asp=1, type=\"n\")",
        "x <- kernel2d(as.points(bodmin), bodmin$poly, h0=2, nx=100, ny=100)",
        "image(x, add=TRUE, col=terrain.colors(20))",
        "pointmap(as.points(bodmin), add=TRUE)",
        "polymap(bodmin$poly, add=TRUE)",
        "bodmin"
    };
                                          
    for(int i = 0; i != 8; i++)
        R.Execute(textos[i], resp);
    
    getchar();
}

